* 0.2.30
- Change constant for installedpackage.list value
== Moonkyu Kang <moon.kang@samsung.com> 2017-09-29
* 0.2.29
- Add function to check default mode for post installation.
== Moonkyu Kang <moon.kang@samsung.com> 2017-09-29
* 0.2.28
- Add function to show dialog when user select directory which is required administration right to access it.
- remove LICENSE.EPL
== Moonkyu Kang <moon.kang@samsung.com> 2017-09-26
* 0.2.27
- Fixed for detected critical code in svace.
- Skip input enter key when using automatic-installation.
- Change option 'test-mode' to 'mbcs-check' for adjust mbcs default.
- Added exit code in cli-installer.
- Print exit code on log file.
- Added function to set target directory when use automatic installation function.
== Moonkyu Kang <moon.kang@samsung.com> 2017-08-09
* 0.2.26
- Version up for githurb merge.
== Moonkyu Kang <moon.kang@samsung.com> 2017-06-20
* 0.2.25
- change dmg singing assess command(for mac).
== SeungBum<sb0729.kim@samsung.com> 2017-05-19
* 0.2.24
- change dmg singing assess command(for mac).
== SeungBum<sb0729.kim@samsung.com> 2017-05-19
* 0.2.23
- Change macos sign script for new host os.
== Moonkyu Kang <moon.kang@samsung.com> 2017-05-19
* 0.2.22
- Version up for rebuild package.
== Moonkyu Kang <moon.kang@samsung.com> 2017-05-11
* 0.2.21
- Fix bug that installer return wrong avaliable size of destination directory.
== Moonkyu Kang <moon.kang@samsung.com> 2017-04-20
* 0.2.20
- Change software license agreement.
== Moonkyu Kang <moon.kang@samsung.com> 2017-04-12
* 0.2.19
- If the user changes the studio directory, modify the data directory accordingly.
- Remove checking display mode function in cli installer.
- Change complete message when custom title enabled.
== Moonkyu Kang <moon.kang@samsung.com> 2017-03-28
* 0.2.18
- Bugfix for different with location and data drive path in windows.
== SeungBum <sb0729.kim@samsung.com> 2017-02-21
* 0.2.17
- Add function to display title text is described in TITLE field.
- Change test mode default value.
- Change default cli data path.
- Modify check method avaliable installation directory.
== Moonkyu Kang <moon.kang@samsung.com> 2017-03-21
* 0.2.16
- Skip single and double quotation pair when input install path in cli.
- Add function to display custom complete message with custom title.
== SeungBum <sb0729.kim@samsung.com> 2017-02-14
* 0.2.15
- Modified special character check by OS.
== SeungBum <sb0729.kim@samsung.com> 2017-02-10
* 0.2.14
- Support MBCS in cli installer by test-mode option.
== Moonkyu Kang <moon.kang@samsung.com> 2017-02-08
* 0.2.13
- Add function to change title of installer in UI Mode.
- Support MBCS in installer by test-mode option.
== Moonkyu Kang <moon.kang@samsung.com> 2017-02-06
* 0.2.12
- Add function to detect user directory is not start with user home directory.
== Moonkyu Kang <moon.kang@samsung.com> 2017-01-12
* 0.2.11
-  Add function to check drive letter in windows.
== Moonkyu Kang <moon.kang@samsung.com> 2017-01-12
* 0.2.10
- Fix bug that installer can not detect non-exist drive when user type invalid directory name in ready page.
== Moonkyu Kang <moon.kang@samsung.com> 2017-01-09
* 0.2.9
- Version up
== SeungBum Kim <sb0729.kim@samsung.com> 2016-11-22
* 0.2.8
- Fixed GUI issues.
- Apply changed user string.
== SeungBum Kim <sb0729.kim@samsung.com> 2016-09-19
* 0.2.7
- Change license string.
== SeungBum Kim <sb0729.kim@samsung.com> 2016-08-26
* 0.2.6
- Change the user string for installation cancel.
- Add custom dialog for existing message title.
== SeungBum Kim <sb0729.kim@samsung.com> 2016-08-26
* 0.2.5
- Set "Arial" to default font in windows.
- Apply user string for guide.
- Apply new color to installer version tooltip.
- Change a user string: TARGET_DIR_IS_NOT_EMPTY
- Fixed gui guide issue.(Add question dialog icon And none bold dialog message)
- Fix defect of Cli-installer Windows Packaging
- Change process for do not running when java running on the "openJDK".
== SeungBum Kim <sb0729.kim@samsung.com> 2016-08-22
* 0.2.4
- Add function to load system font only in windows.
- Fixed typo of a message in Installation Setting page.
== SeungBum Kim <sb0729.kim@samsung.com> 2016-08-11
* 0.2.3
- Fix bug that can not load swt library in cli.
== Moonkyu Kang <moon.kang@samsung.com> 2016-07-29
* 0.2.2
- Change default font
== Moonkyu Kang <moon.kang@samsung.com> 2016-07-28
* 0.2.1
- Change package name
== Moonkyu Kang <moon.kang@samsung.com> 2016-07-26
* 0.1.53
- Apply changed installer gui guide.
- Change shortcut directory in windows.
- Change minimun java version 1.7 to 1.8.
== SeungBum Kim <sb0729.kim@samsung.com> 2016-07-22
* 0.1.52
- Change installer title.
== Moonkyu Kang <moon.kang@samsung.com> 2016-07-13
* 0.1.51
- Apply new size and positon.
- Apply new gui images.
== Moonkyu Kang <moon.kang@samsung.com> 2016-07-13
* 0.1.50
- Modify input type of sdk location.
== Moonkyu Kang <moon.kang@samsung.com> 2016-06-23
* 0.1.49
- Modify Dibs installer publishing scripts
== Taegkoo Kim <taekgoo.kim@samsung.com> 2016-06-14
* 0.1.48
- Change cli-installer's working directory to user's temp dir
== Taegkoo Kim <taekgoo.kim@samsung.com> 2016-06-14
* 0.1.47
- Merge windows packaging codes for cli-installer 
== Taegkoo Kim <taekgoo.kim@samsung.com> 2016-06-10
* 0.1.46
- Change java validity check procedure
== Taegkoo Kim <taekgoo.kim@samsung.com> 2016-06-08
* 0.1.45
- Change loading animation images and its size
== Taekgoo Kim<taekgoo.kim@samsung.com> 2016-06-01
* 0.1.44
- Set initialize position of installer main window.
== Moonkyu Kang <moon.kang@samsung.com> 2016-05-31
* 0.1.43
- Modify set progress count.
== Moonkyu Kang <moon.kang@samsung.com> 2016-05-27
* 0.1.42
- NSiS progress bar message change.
== SeungBum Kim <sb0729.kim@samsung.com> 2016-05-27
* 0.1.41
- Apply UX feedback 
== Moonkyu Kang <moon.kang@samsung.com> 2016-05-27
* 0.1.40
- Apply UX feedback 
== Moonkyu Kang <moon.kang@samsung.com> 2016-05-24
* 0.1.39
- Apply 0523 version of GUI guide to Wizard installer.
== Moonkyu Kang <moon.kang@samsung.com> 2016-05-24
* 0.1.38
- Rollback to make cli installer using "Bat to Exe Converter".
- Apply GUI guide to Wizard installer.
== SeungBum Kim <sb0729.kim@samsung.com> 2016-05-23
* 0.1.37
- Apply DIBS environment variable in the build script
== Taegkoo Kim <taekgoo.kim@samsung.com> 2016-05-20
* 0.1.36
- Apply right DIBS environment variable in the build script
== Taegkoo Kim <taekgoo.kim@samsung.com> 2016-05-20
* 0.1.35
- Change Windows packaging using Win32
== Taegkoo Kim <taekgoo.kim@samsung.com> 2016-05-19
* 0.1.34
- Apply GUI guide to Wizard installer.
== Moonkyu Kang <moon.kang@samsung.com> 2016-05-03
* 0.1.33
- Modify button size by GUI Guide.
== SeungBum Kim <sb0729.kim@samsung.com> 2016-05-03
* 0.1.32
- Change default directory.
== Moonkyu Kang <moon.kang@samsung.com> 2016-05-02
* 0.1.31
- Apply GUI guide to Wizard installer.
== Moonkyu Kang <moon.kang@samsung.com> 2016-05-02
* 0.1.30
- Fixed typed error loading message.
== SeungBum Kim <sb0729.kim@samsung.com> 2016-04-15
* 0.1.29
- Changed NSIS loading bar design to small view.
== SeungBum Kim <sb0729.kim@samsung.com> 2016-04-15
* 0.1.28
- Modify build.xml for Wizard UI
== Moonkyu Kang <moon.kang@samsung.com> 2016-04-14
* 0.1.27
- Added administrator manifest to cli installer.
== SeungBum Kim <sb0729.kim@samsung.com> 2016-04-14
* 0.1.26
- Bug fixed assign windows os bit option when cli installer make.
== SeungBum Kim <sb0729.kim@samsung.com> 2016-04-11
* 0.1.25
- Chanaged cli installer make by NSIS to Bat script.
== SeungBum Kim <sb0729.kim@samsung.com> 2016-04-11
* 0.1.24
- Add function to delete created target directory after validating it while initialize install controller.
- Remove invalid file in src folder.
- Added mac installer volumn name using "RELEASE_NAME" that environment value
- Added prototype of new installer
- Changed running directory in ubuntu. (/tmp to .updatemanager)
== SeungBum Kim <sb0729.kim@samsung.com> 2016-03-24
* 0.1.23
- Change running directory in ubuntu. (/tmp to .updatemanager)
- Fix bug that can not pause when user click cancel while installing.
== Moonkyu Kang <moon.kang@samsung.com> 2016-03-08
* 0.1.22
- Modified bat script run error.
== SeungBum Kim <sb0729.kim@samsung.com> 2016-02-20
* 0.1.21
- Modify input directory in cli.
== Moonkyu Kang <moon.kang@samsung.com> 2016-02-20
* 0.1.20
- Fix null point error when check disk space.
== Moonkyu Kang <moon.kang@samsung.com> 2016-02-19
* 0.1.19
- Fix cannot run help and open new window when using cli option.
- Added check java bit when start program.
- Hided caret in license dialog.
- Modified main view is disabled when dialog pop up.
- Modify to check target directory in cli and ui mode.
- Moved Installer version information from title bar to information dialog
- Add logger null check.
- Add function to check prerequisites before install.
== Moonkyu Kang <moon.kang@samsung.com> 2016-02-19
* 0.1.18
- Modified the messages about Java Installation.
- Fix bug that invalid thread access when error occured in startup method.
== Moonkyu Kang <moon.kang@samsung.com> 2016-01-05
* 0.1.17
- Change "SDK Manager" to "Update Manager"
== Moonkyu Kang <moon.kang@samsung.com> 2015-12-28
* 0.1.16
- Change title of installer.
== Moonkyu Kang <moon.kang@samsung.com> 2015-12-22
* 0.1.15
- Fix bug that cannot refresh "Space Avaliable" in ready page when disk drive is changed.
- Add function to multi extraction.
- Fixed to show application name as "SDK Installer" on MacOS
== Moonkyu Kang <moon.kang@samsung.com> 2015-12-22
* 0.1.14
- Change text "update*manager" to "SDK*Manager"
== Moonkyu Kang <moon.kang@samsung.com> 2015-12-16
* 0.1.13
- Fix title of custom progress dialog.
== Moonkyu Kang <moon.kang@samsung.com> 2015-12-08
* 0.1.12
- Replace install button image of disable status.
- Fix installer readypage guide message.
- Refactor code : change from application window to shell.
== Moonkyu Kang <moon.kang@samsung.com> 2015-12-08
* 0.1.11
- fix swt error when auto installation.
== Moonkyu Kang <moon.kang@samsung.com> 2015-11-20
* 0.1.10
- add function to auto installation.
== Moonkyu Kang <moon.kang@samsung.com> 2015-11-19
* 0.1.9
- Fix layout information of completed page.
== Moonkyu Kang <moon.kang@samsung.com> 2015-11-08
* 0.1.8
- Fix layout information of accept text.
== Moonkyu Kang <moon.kang@samsung.com> 2015-11-07
* 0.1.7
- Modified the layout for Ready page
- modify script to copy and add version and help in cli mode.
- Remove bashrc in cli mode.
- Modify makeshortcut script to delete old shortcut which has same target.
== Moonkyu Kang <moon.kang@samsung.com> 2015-11-06
* 0.1.6
- version up for testing.
== Moonkyu Kang <moon.kang@samsung.com> 2015-11-02
* 0.1.5
- Modify build script for launch4j in Linux and Windows.
== Moonkyu Kang <moon.kang@samsung.com> 2015-10-13
* 0.1.4
- Modify method of run update manager.
== Moonkyu Kang <moon.kang@samsung.com> 2015-10-13
* 0.1.3
- Add function to run update-manager when installation is completed.
== Moonkyu Kang <moon.kang@samsung.com> 2015-10-13
* 0.1.2
- Modify default data directory in windows. local app directory to root directory.
- Modify set default install directory.
== Moonkyu Kang <moonkyu82.kang@samsung.com> 2015-10-06
* 0.1.1
- Increase minor version
== DongHee Yang <donghee.yang@samsung.com> 2015-10-02
* 0.0.33
- Modified to support shortcut name on macos 
== Moonkyu Kang <moonkyu82.kang@samsung.com> 2015-09-18
* 0.0.32
- add path option for cli
== Moonkyu Kang <moonkyu82.kang@samsung.com> 2015-09-11
* 0.0.31
- Set max app size to 1g in macos.
== Moonkyu Kang <moonkyu82.kang@samsung.com> 2015-09-09
* 0.0.30
- Set max app size to 1g in macos.
== Moonkyu Kang <moonkyu82.kang@samsung.com> 2015-09-08
* 0.0.29
- Change code signing for windows.
== Moonkyu Kang <moonkyu82.kang@samsung.com> 2015-08-27
* 0.0.28
- Installer can run in directory which contains empty character.
- Change image for now deleting and fail,cancel image.
- Set left align and word wrap in license agreement dialog.
- Fix macos installer font size.
== Moonkyu Kang <moonkyu82.kang@samsung.com> 2015-08-25
* 0.0.27
- Move log directory from .installmanager to .updatemanager
- Remove creating file function for old install-manager.
== Moonkyu Kang <moonkyu82.kang@samsung.com> 2015-08-10
* 0.0.26
- Add "SetCompress off" to nsi file.
- Add work close button in all pages.
- Fix create desktop directory menu in linux.
- Add showError when java is not exists in macos.
- Add guard code for checking install location.
- Add indeterminateProgressDialog when creating shortcut and fix freezing.
- Fixed a bug that displaying install path is wrong
- Installer do not show swt error when run in command line
- Extracted internal strings to "Messages.java"
== Moonkyu Kang <moonkyu82.kang@samsung.com> 2015-08-10
* 0.0.25
- Add information to restart computer.(displaying shortcut)
== Yongsung Kim <reuentar.kim@samsung.com> 2015-07-14
* 0.0.24
- add windows signing.
- can check space in destination path in cli mode.
== Moonkyu Kang <moonkyu82.kang@samsung.com> 2015-07-14
* 0.0.23
- Can check space in destination path.
== Yongsung Kim <reuentar.kim@samsung.com> 2015-07-13
* 0.0.22
- remove windows signing.
- remove utf-8.
== Moonkyu Kang <moonkyu82.kang@samsung.com> 2015-07-10
* 0.0.21
- add windows signing.
== Moonkyu Kang <moonkyu82.kang@samsung.com> 2015-07-08
* 0.0.20
- Can check binary bit on Windows.
== Moonkyu Kang <moonkyu82.kang@samsung.com> 2015-07-06
* 0.0.19
- Fix create data directory name.
== Moonkyu Kang <moonkyu82.kang@samsung.com> 2015-07-3
* 0.0.18
- Add double quote when create ubuntu short cut.
== Moonkyu Kang <moonkyu82.kang@samsung.com> 2015-07-2
* 0.0.17
- Change default install directory in windows.
== Moonkyu Kang <moonkyu82.kang@samsung.com> 2015-07-1
* 0.0.16
- Show initializing message.
== Moonkyu Kang <moonkyu82.kang@samsung.com> 2015-07-1
* 0.0.15
- Remove initializing code.
== Moonkyu Kang <moonkyu82.kang@samsung.com> 2015-07-1
* 0.0.14
- Fix signing code
== Moonkyu Kang <moonkyu82.kang@samsung.com> 2015-07-1
* 0.0.13
- Change new line and set character encoding to utf-8 for sdk.info 
== Moonkyu Kang <moonkyu82.kang@samsung.com> 2015-07-1
* 0.0.12
- Add preraring message when ui initialize.
- Disable windows to max size.
- Change ReadyPage label location.
== Moonkyu Kang <moonkyu82.kang@samsung.com> 2015-07-1
* 0.0.11
- Add function to pause when cancelation dialog is opened.
- Delete target directory and data directory when installation is canceled.
== Moonkyu Kang <moonkyu82.kang@samsung.com> 2015-06-30
* 0.0.10
- Remove data location setting in cli mode.
== Moonkyu Kang <moonkyu82.kang@samsung.com> 2015-06-26
* 0.0.9
- Fix font pixel size on MacOS.
- Add additional message for native app development.
- Remove Data Location in ready page.
- Catch duplicated data location.
- Modify ready page label location.
== Moonkyu Kang <moonkyu82.kang@samsung.com> 2015-06-26
* 0.0.8
- Modify caculate percent of installation from file count to install size.
- Remove unnecessary install script.
- Remove View Result in CompletePage.
- Change from swing dialog to DirectoryDialog for changing install directory.
- Fixed to use 'UTF-8' when reading license file.
- Fixed a bug that the status of 'Install' button is not changed when clicking 'Accept'
== Moonkyu Kang <moonkyu82.kang@samsung.com> 2015-06-25
* 0.0.7
- Modify shortcutcreator to support create shortcut windows with directory contains empty space.
- set license agreement default is unchecked.
- Change icon of directory browser in windows.
== Moonkyu Kang <moonkyu82.kang@samsung.com> 2015-06-18
* 0.0.6
- Add version info to installer title.
- Change to create symbolic link function from java 7 nio to runtime.exe()
== Moonkyu Kang <moonkyu82.kang@samsung.com> 2015-06-18
* 0.0.5
- Add icon to title.
== Moonkyu Kang <moonkyu82.kang@samsung.com> 2015-06-17
* 0.0.4
- Modify makeNsis to check signtool_jar system environment and run signing when it exists.
== Moonkyu Kang <moonkyu82.kang@samsung.com> 2015-06-17
* 0.0.3
- Imporroved functionality.
== Yongsung Kim <reuentar.kim@samsung.com> 2015-06-15
* 0.0.2
- Fix layout.
== Moonkyu Kang <moonkyu82.kang@samsung.com> 2015-06-08
* 0.0.1
- First SDK Installer release.
== Moonkyu Kang <moonkyu82.kang@samsung.com> 2015-04-13
